[gelöst] Problem kmymoney und apt

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
bike
Hacker
Hacker
Beiträge: 498
Registriert: 10. Jan 2005, 19:34

[gelöst] Problem kmymoney und apt

Beitrag von bike » 9. Jun 2006, 21:01

Hallo

ich bekomme bei "apt upgrade" folgende Fehlermeldung

Die folgenden Pakete besitzen unerfülte Abhängigkeiten:
kmymoney: Hängt ab von: koffice-spreadsheet (>= 1.5)
Hängt ab von: libkdchart.so.0

Bei "apt install kmymoney " kommt folgende Meldung

Committing changes...
Preparing... Speicherzugriffsfehler ( 50%)

Wenn ich mit "apt --force install kmymoney" installierne will kommt Meldung

Preparing... /usr/bin/apt: line 123: 8782 Speicherzugriffsfehler apt-get $ARG


Aich kann ich das Paket nicht mit yast deinstallieren, da kommt folgende Meldung

ERROR(InstTarget:E_RpmDB_subprocess_failed)
---

2006-06-09 20:29:06 kmymoney remove failed
rpm output:

Wenn ich versuche koffice zu installieren kommt folgende Meldung

Hole:1 http://software.opensuse.org SUSE_Linux_10.0/ koffice-illustration-plugins 1.5-2.5 [103kB]
Hole:2 http://software.opensuse.org SUSE_Linux_10.0/ koffice-devel 1.5.1-25.1 [301kB]
Hole:3 http://software.opensuse.org SUSE_Linux_10.0/ koffice-planning 1.5.1-25.1 [985kB]
1389kB in 11s (117kB/s) geholt
libartskde.so.1 is needed by koffice-presentation-1.5.1-25.1
E: Transaction set check failed
E: Handler silently failed

Das Problem begann nach einem Absturtz beim Updaten von kde mit apt.

Wie kann ich dieses Problem lösen?
Danke für Tipps

bike
Zuletzt geändert von bike am 10. Jun 2006, 09:34, insgesamt 2-mal geändert.

Werbung:
traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 9. Jun 2006, 21:11

Bitte als root einmal

Code: Alles auswählen

rpm --rebuilddb
ausführen.

Und für die Akten bitte auch die Ausgabe von

Code: Alles auswählen

rpm -q apt apt-libs
posten.

bike
Hacker
Hacker
Beiträge: 498
Registriert: 10. Jan 2005, 19:34

Beitrag von bike » 9. Jun 2006, 21:44

Danke für den Tipp, doch leider kein Erfolg
und
linux:/home/bike # rpm -q apt apt-libs
apt-0.5.15lorg3-17.1
apt-libs-0.5.15lorg3-17.1


bike

emoenke
Member
Member
Beiträge: 121
Registriert: 14. Jul 2005, 23:58

Re: Problem kmymoney und apt

Beitrag von emoenke » 10. Jun 2006, 00:41

bike hat geschrieben:Das Problem begann nach einem Absturtz beim Updaten von kde mit apt.
Dann mußt Du erstmal versuchen, genau da wieder anzuknüpfen (das Updaten vollenden).

traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 10. Jun 2006, 01:51

Was heißt "kein Erfolg"? Dieselbe Fehlermeldung oder eine andere? Und bitte der Reihe nach: Geht es auch mit YaST immer noch nicht oder geht wenigstens das jetzt? Die Angabe ist wichtig, um einzugrenzen, ob es an der RPM-Datenbank oder an etwas anderem liegt.

Es gibt übrigens statt der Pakete mit der Releasenummer 17.1 schon welche mit der Releasenummer 17.2. Probier es mal mit denen, vielleicht ist das Problem schon behoben. Wenn nicht, versucht doch mal mit gdb einen Backtrace zu erzeugen.

bike
Hacker
Hacker
Beiträge: 498
Registriert: 10. Jan 2005, 19:34

Beitrag von bike » 10. Jun 2006, 09:33

Also es waren die selben Fehlermeldungen.
Nach einem "apt clean" habe ich auf kde 3.5.2 downgegradet..
Als alles lief konnte ich auf kde 3.5.3 upgraden

Danke für die Hilfe

bike

p.s.:
emoenke hat geschrieben: Dann mußt Du erstmal versuchen, genau da wieder anzuknüpfen (das Updaten vollenden).
Wenn dies möglich gewesen wäre hätte ich es getan und nicht hier um Hilfe gefragt, doch es ging nicht.

Antworten

Wer ist online?

Mitglieder in diesem Forum: Bing [Bot] und 1 Gast